Competitor Tracker & Co. Docs

Create a label for the current organization.

Create a label for the current organization — Competitor Tracker & Co. API reference for POST /v1/labels: request parameters, request body, response schema.

Required role: member or higher (organization-level).

Required scope: labels:write (for both OAuth2 tokens and API keys).

POST
/v1/labels

Authorization

X-API-Key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://api.competitortracker.io/v1/labels" \  -H "Content-Type: application/json" \  -d '{    "name": "direct",    "color": "blue"  }'
{
  "id": "string",
  "name": "string",
  "color": "string",
  "createdAt": "string",
  "updatedAt": "string"
}
{
  "code": "string",
  "message": "string",
  "resolution": "string"
}
{
  "code": "string",
  "message": "string",
  "resolution": "string"
}
{
  "code": "string",
  "message": "string",
  "resolution": "string"
}